
-- Find destination / mode
function fai_decide(id)
	local team=player(id,"team")
	
	-- Buy?!
	if vai_buyingdone[id]~=1 then
		vai_mode[id]=-1; vai_smode[id]=0
		vai_timer[id]=math.random(1,10)
		vai_buyingdone[id]=1
		return
	end
	
	if vai_set_gm==4 then
		-- ############################################################ Game Mode 4: Zombies
		if team==1 then
			------------------- Terrorists (Zombies)
			local r=math.random(1,3)
			if r<=2 then
				-- Goto CT Spawn / Botnode
				if map("botnodes")>0 and math.random(0,2)==1 then
					vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
					vai_mode[id]=2
				else
					vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
					vai_mode[id]=2
				end
			else
				-- Goto T Spawn
				vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
				vai_mode[id]=2
			end
		else
			------------------- Counter-Terrorists
			local r=math.random(1,3)
			if r==1 then
				-- Goto T Spawn
				vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
				vai_mode[id]=2
			else
				-- Goto CT Spawn / Botnode
				if map("botnodes")>0 and math.random(0,2)==1 then
					vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
					vai_mode[id]=2
				else
					vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
					vai_mode[id]=2
				end
			end
		end
		
		
	else
		-- ############################################################ Other Game Modes
		
		if map("mission_vips")>0 then
			-- ############################################################ AS_ Maps
			if team==1 then
				------------------- Terrorists
				local r=math.random(1,3)
				if r==1 then
					-- Protect Escape Point
					vai_destx[id],vai_desty[id]=randomentity(6) -- info_escapepoint
					vai_mode[id]=2
				elseif r==2 then
					-- Goto CT Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
						vai_mode[id]=2
					end
				else
					-- Goto VIP Spawn
					vai_destx[id],vai_desty[id]=randomentity(2) -- info_vip
					vai_mode[id]=2
				end
			elseif team==2 then
				------------------- Counter-Terrorists
				local r=math.random(1,2)
				if r==1 then
					-- Secure Escape Point
					vai_destx[id],vai_desty[id]=randomentity(6) -- info_escapepoint
					vai_mode[id]=2
				else
					-- Goto T Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
						vai_mode[id]=2
					end
				end
			elseif team==3 then
				------------------- VIP
				if map("botnodes")>0 and math.random(0,2)==1 then
					-- Goto Botnode
					vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
					vai_mode[id]=2
				else
					-- Goto Escape Popint
					vai_destx[id],vai_desty[id]=randomentity(6) -- info_escapepoint
					vai_mode[id]=2
				end
			end
			
		elseif map("mission_hostages")>0 then
			-- ############################################################ CS_ Maps
			if team==1 then
				------------------- Terrorists
				local r=math.random(1,3)
				if r==1 then
					-- Goto Hostagespawns
					vai_destx[id],vai_desty[id]=randomentity(3) -- info_hostage
					vai_mode[id]=2
				elseif r==2 then
					-- Goto CT Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
						vai_mode[id]=2
					end
				else
					-- Goto Rescuepoint
					vai_destx[id],vai_desty[id]=randomentity(4) -- info_rescuepoint
					vai_mode[id]=2
				end
			else
				------------------- Counter-Terrorists
				local r=math.random(1,5)
				if r==1 then
					-- Goto T Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
						vai_mode[id]=2
					end
				else
					-- Rescue Hostage
					vai_destx[id],vai_desty[id]=randomhostage(1)
					vai_mode[id]=50; vai_smode[id]=0
				end
			end
				
		elseif map("mission_bombspots")>0 then
			-- ############################################################ DE_ Maps
			if team==1 then
				------------------- Terrorists
				local r=math.random(1,2)
				if r==1 then
					-- Goto Bombspot
					vai_destx[id],vai_desty[id]=randomentity(5) -- info_bombspot
					if player(id,"bomb") then
						vai_mode[id]=51; vai_smode[id]=0; vai_timer[id]=0
					else
						vai_mode[id]=2
					end
				else
					-- Goto CT Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
						vai_mode[id]=2
					end
				end
			else
				------------------- Counter-Terrorists
				if game("bombplanted") then
					-- Find & Defuse Bomb
					vai_destx[id],vai_desty[id]=randomentity(5,0)
					vai_mode[id]=52; vai_smode[id]=0
				else
					local r=math.random(1,2)
					if r==1 then
						-- Protect Bombspot
						vai_destx[id],vai_desty[id]=randomentity(5) -- info_bombspot
						vai_mode[id]=2
					else
						-- Goto T Spawn / Botnode
						if map("botnodes")>0 and math.random(0,2)==1 then
							vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
							vai_mode[id]=2
						else
							vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
							vai_mode[id]=2
						end
					end
				end
			end
		
		elseif map("mission_ctfflags")>0 then
			-- ############################################################ CTF_ Maps
			if team==1 then
				------------------- Terrorists
				if player(id,"flag") then
					if entity(player(id,"tilex"),player(id,"tiley"),"type")==15 and entity(player(id,"tilex"),player(id,"tiley"),"int0")==0 then
						-- Can't return! Retry!
						vai_mode[id]=3
						vai_timer[id]=math.random(150,300)
						vai_smode[id]=math.random(0,360)
					else
						-- Return Flag
						vai_destx[id],vai_desty[id]=randomentity(15,0,0) -- info_ctf (T flag)
						vai_mode[id]=2
					end
				else
					local r=math.random(1,3)
					if r==1 then
						-- Get Flag!
						vai_destx[id],vai_desty[id]=randomentity(15,0,1) -- info_ctf (CT flag)
						vai_mode[id]=2
					else
						-- Goto CT Spawn / Botnode
						if map("botnodes")>0 and math.random(0,2)==1 then
							vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
							vai_mode[id]=2
						else
							vai_destx[id],vai_desty[id]=randomentity(1) -- info_ct
							vai_mode[id]=2
						end
					end
				end
			else
				-- ############################################################ Counter-Terrorists
				if player(id,"flag") then
					if entity(player(id,"tilex"),player(id,"tiley"),"type")==15 and entity(player(id,"tilex"),player(id,"tiley"),"int0")==1 then
						-- Can't return! Retry!
						vai_mode[id]=3
						vai_timer[id]=math.random(150,300)
						vai_smode[id]=math.random(0,360)
					else
						-- Return Flag
						vai_destx[id],vai_desty[id]=randomentity(15,0,1) -- info_ctf (CT flag)
						vai_mode[id]=2
					end
				else
					local r=math.random(1,3)
					if r==1 then
						-- Get Flag!
						vai_destx[id],vai_desty[id]=randomentity(15,0,0) -- info_ctf (T flag)
						vai_mode[id]=2
					else
						-- Goto T Spawn / Botnode
						if map("botnodes")>0 and math.random(0,2)==1 then
							vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
							vai_mode[id]=2
						else
							vai_destx[id],vai_desty[id]=randomentity(0) -- info_t
							vai_mode[id]=2
						end
					end
				end
			end
		
		elseif map("mission_dompoints")>0 then
			-- ############################################################ DOM_ Maps
			if team==1 then
				------------------- Terrorists
				local r=math.random(1,5)
				if r<=4 then
					-- Dominate!
					vai_destx[id],vai_desty[id]=randomentity(17,0,2) -- info_dom (CT dominated)
					vai_mode[id]=2
				end
			else
				------------------- Counter-Terrorists
				local r=math.random(1,5)
				if r<=4 then
					-- Dominate!
					vai_destx[id],vai_desty[id]=randomentity(17,0,1) -- info_dom (T dominated)
					vai_mode[id]=2
				end
			end
		
		else
			-- ############################################################ Maps without special goal/mission
			if team==1 then
				------------------- Terrorists
				local r=math.random(1,100)
				if r<=2 then
					-- Goto CT Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						if math.random(0,2)==1 then
						if Kill_Timer[id]==0 and WhatNow == "Game" and GoReport==0 then
						vai_destx[id],vai_desty[id]=lastdeadx,lastdeady -- info_ct
						vai_mode[id]=2
						end
						end
					end
				else
					if SabotageLight == 1 then
					vai_destx[id],vai_desty[id]=48,9
					vai_mode[id]=2
					elseif SabotageRadio == 1 then
					vai_destx[id],vai_desty[id]=43,39
					vai_mode[id]=2
					elseif SabotageReactor == 1 then
					local b=math.random(1,2)
					if b==1 then
					vai_destx[id],vai_desty[id]=48,25
					vai_mode[id]=2
					elseif b==2 then
					vai_destx[id],vai_desty[id]=48,30
					vai_mode[id]=2
					end
					elseif SabotageO2 == 1 then
					local b=math.random(1,2)
					if b==1 then
					vai_destx[id],vai_desty[id]=92,30
					vai_mode[id]=2
					elseif b==2 then
					vai_destx[id],vai_desty[id]=92,39
					vai_mode[id]=2
					end

					else
					-- Goto T Spawn
					if Kill_Timer[id]==0 and WhatNow == "Game" and GoReport==0 then
					vai_destx[id],vai_desty[id]=lastdeadx,lastdeady -- info_t
					vai_mode[id]=2
					end
					end
				end
			else
				------------------- Counter-Terrorists
				local r=math.random(1,100)
				if r<=2 then
					-- Goto T Spawn / Botnode
					if map("botnodes")>0 and math.random(0,2)==1 then
						vai_destx[id],vai_desty[id]=randomentity(19) -- info_botnode
						vai_mode[id]=2
					else
						if math.random(0,2)==1 then
						if Kill_Timer[id]==0 and WhatNow == "Game" and GoReport==0 then
						vai_destx[id],vai_desty[id]=lastdeadx,lastdeady -- info_t
						vai_mode[id]=2
						end
						end
					end
				else
					if SabotageLight == 1 then
					vai_destx[id],vai_desty[id]=48,9
					vai_mode[id]=2
					elseif SabotageRadio == 1 then
					vai_destx[id],vai_desty[id]=43,39
					vai_mode[id]=2
					elseif SabotageReactor == 1 then
					local b=math.random(1,2)
					if b==1 then
					vai_destx[id],vai_desty[id]=48,25
					vai_mode[id]=2
					elseif b==2 then
					vai_destx[id],vai_desty[id]=48,30
					vai_mode[id]=2
					end
					elseif SabotageO2 == 1 then
					local b=math.random(1,2)
					if b==1 then
					vai_destx[id],vai_desty[id]=92,30
					vai_mode[id]=2
					elseif b==2 then
					vai_destx[id],vai_desty[id]=92,39
					vai_mode[id]=2
					end
					
					else
					-- Goto CT Spawn
					if Kill_Timer[id]==0 and WhatNow == "Game" and GoReport==0 then
					vai_destx[id],vai_desty[id]=lastdeadx,lastdeady -- info_ct
					vai_mode[id]=2
					end
					end
				end
			end
		
		end
		
	end
	
	-- Check Decision Results
	if vai_mode[id]==2 then
		-- No correct destination found?!
		if vai_destx[id]==-100 then
			-- ROAM!
			vai_mode[id]=3
			vai_timer[id]=math.random(150,300)
			vai_smode[id]=math.random(0,360)
		end
	end
		
end

lastdeadx = 0
lastdeady = 0

lol=math.random(1,3)
GoReport=math.random(20,30)
DoSabotage = math.random(1,5)
GoKill=Cooldown+math.random(5,10)

IvoteTimer = {}
for id=1,32 do IvoteTimer[id]=math.random(5,25) end

addhook("movetile","fixsabotagebot")
function fixsabotagebot(id,x,y)
if player(id,"bot") then
if x == 48 and y == 9 then
if SabotageLight == 1 then
SabotageLightKey1 = "ON"
SabotageLightKey2 = "ON"
SabotageLightKey3 = "ON"
SabotageLightKey4 = "ON"
end
elseif x == 48 and y == 9 then
if SabotageRadio == 1 then
SabotageRadioFrequency = 100
end

elseif x == 92 and y == 30 then
if SabotageO2 == 1 then
SabotageO2Code = SabotageO2ReadyCode
end
elseif x == 92 and y == 39 then
if SabotageO2 == 1 then
SabotageO2Code2 = SabotageO2ReadyCode2
end

elseif x == 48 and y == 25 then
if SabotageReactor == 1 then
Reactor1 = 2
end
elseif x == 48 and y == 30 then
if SabotageReactor == 1 then
Reactor2 = 2
end
end
end
end

addhook("second","votebot")
function votebot()
--msg(""..GoReport.." "..GoKill.." "..DoSabotage.."")
if WhatNow == "Game" then
if GoReport>0 then
GoReport=GoReport-1
end
if GoKill>0 then
GoKill=GoKill-1
end

for _, id in pairs(player(0, 'tableliving')) do
if player(id,"bot") and Player_Impostor[id]==0 and Player_Killed[id]==0 then
local x,y=player(id,"tilex"),player(id,"tiley")
if x == 60 and y == 36 then
if Task_Trash[id]==1 then
Task_Trash[id]=0
Task = Task + 1
end
elseif x == 94 and y == 29 then
if SabotageLight == 0 then
if Task_Load_Files[id]>0 then
Task = Task + 1
Task_Load_Files[id]=0
end
end
elseif x == 59 and y == 48 then
if Task_News_Paper[id]==1 then
local a=math.random(1,3)
		if a==1 then
		TNPX = 45
		TNPY = 16
		Task_News_Paper[id]=2
		elseif a==2 then
		TNPX = 89
		TNPY = 30
		Task_News_Paper[id]=2
		elseif a==3 then
		TNPX = 51
		TNPY = 22
		Task_News_Paper[id]=2
		end
end
elseif x == TNPX and y == TNPY then
if Task_News_Paper[id]==2 then
Task = Task + 1
Task_News_Paper[id]=0
end
elseif x == 84 and y == 21 then
if Task_FixShower[id]==1 then
Task = Task + 1
Task_FixShower[id]=0
end
elseif x == 37 and y == 18 then
if Task_FixDoor[id]==1 then
Task = Task + 1
Task_FixDoor[id]=0
end
elseif x == 52 and y == 27 then
if Task_Reload_Reactor[id]==1 then
Task = Task + 1
Task_Reload_Reactor[id]=0
end
elseif x == 41 and y == 36 then
if Task_Frequency[id] == 1 then
Task = Task + 1
Task_Frequency[id]=0
end
elseif x == 65 and y == 18 then
if Task_Flowers[id]==1 then
Task = Task + 1
Task_Flowers[id]=0
end
elseif x == 87 and y == 34 then
if Task_Zombie[id]==1 then
Task = Task + 1
Task_Zombie[id]=0
end
elseif x == 79 and y == 24 then
if Task_Button[id]==1 then
Task = Task + 1
Task_Button[id]=0
end
elseif x == 44 and y == 25 then
if Task_Refuel[id]==1 then
Task = Task + 1
Task_Refuel[id]=0
end
end
end
end


if DoSabotage<25 then
DoSabotage=DoSabotage+1
elseif DoSabotage == 25 then
DoSabotage = math.random(1,2)
for _, id in pairs(player(0, 'tableliving')) do
if player(id,"bot") and Player_Impostor[id]==1 and SabotageTimer == 0 then
local b=math.random(1,4)
if b==1 then
if SabotageTimer == 0 and SabotageLight == 0 then
SabotageLight = 1
parse('trigger SabotageLight')
parse('trigger SabotageLight_b')
parse('trigger SabotageLight_Red')
parse('trigger SabotageLightUse')
if SabotageRadio == 0 and SabotageReactor == 0 and SabotageO2 == 0 then
parse('trigger MeetingRoom')
end
SabotageTimer = SabotageTime
end
elseif b==2 then
if SabotageTimer == 0 and SabotageRadio == 0 then
SabotageTimer = SabotageTime
parse('trigger SabotageRadio')
SabotageRadio = 1
local f=math.random(1,4)
if f==1 then
SabotageRadioFrequency = 50
elseif f==2 then
SabotageRadioFrequency = 150
elseif f==3 then
SabotageRadioFrequency = 130
elseif f==4 then
SabotageRadioFrequency = 70
end
end
elseif b==3 then
if SabotageTimer == 0 and SabotageReactor == 0 then
SabotageTimer = SabotageTime + 30
SabotageReactor = 1
SabotageReactorTimer = 25
Alert = 1
if SabotageRadio == 0 and SabotageLight == 0 and SabotageO2 == 0 then
parse('trigger MeetingRoom')
end
parse('trigger SabotageReactor1')
parse('trigger SabotageReactor2')
end
elseif b==4 then
				if SabotageTimer == 0 and SabotageO2 == 0 then
				SabotageTimer = SabotageTime + 30
				SabotageO2Timer = 30
				parse('trigger SabotageO2')
				Alert = 1
				if SabotageRadio == 0 and SabotageLight == 0 and SabotageReactor == 0 then
					parse('trigger MeetingRoom')
				end
				
				SabotageO2 = 1
				local a=math.random(1,9)
				if a==1 then
				SabotageO2Code = 1234 --1
				elseif a==2 then
				SabotageO2Code = 4321 --4
				elseif a==3 then
				SabotageO2Code = 1423 --1
				elseif a==4 then
				SabotageO2Code = 2431 --2
				elseif a==5 then
				SabotageO2Code = 3214 --3
				elseif a==6 then
				SabotageO2Code = 2134 --2
				elseif a==7 then
				SabotageO2Code = 2413 --2
				elseif a==8 then
				SabotageO2Code = 4231 --4
				elseif a==9 then
				SabotageO2Code = 3124 --3
				end
				local a=math.random(1,9)
				if a==1 then
				SabotageO2Code2 = 1234 --1
				elseif a==2 then
				SabotageO2Code2 = 4321 --4
				elseif a==3 then
				SabotageO2Code2 = 1423 --1
				elseif a==4 then
				SabotageO2Code2 = 2431 --2
				elseif a==5 then
				SabotageO2Code2 = 3214 --3
				elseif a==6 then
				SabotageO2Code2 = 2134 --2
				elseif a==7 then
				SabotageO2Code2 = 2413 --2
				elseif a==8 then
				SabotageO2Code2 = 4231 --4
				elseif a==9 then
				SabotageO2Code2 = 3124 --3
				end
				end

end
end
end
end
end

for _, id in pairs(player(0, 'tableliving')) do
--if Player_Impostor[id]==1 then
--vai_mode[id]=7
--end

lol=math.random(1,4)
if lol==1 then
local livingPlayers = player(0,"tableliving")
local index = math.ceil(math.random() * #livingPlayers)
local ids = livingPlayers[index]
if player(id,"bot") then

if WhatNow == "Vote" then
local a=math.random(1,70)
if a==1 then
ai_say(ids,"I don't know which one of you is an impostor.")
elseif a==2 then
ai_say(ids,"I think number "..ids.." is an imposter.")
elseif a==3 then
ai_say(ids,"fuck")
elseif a==4 then
ai_say(ids,"shut up pls")
elseif a==5 then
ai_say(ids,"gg")
elseif a==6 then
ai_say(ids,"We need to stick together!")
elseif a==7 then
ai_say(ids,"I'm not an impostor.")
elseif a==8 then
ai_say(ids,"Who of you?")
elseif a==9 then
ai_say(ids,""..ids.." impostor")
elseif a==10 then
ai_say(ids,"not me")
elseif a==11 then
ai_say(ids,"skip everyone")
elseif a==12 then
ai_say(ids,"skip, nothing is clear")
elseif a==13 then
ai_say(ids,"AMOGUS")
elseif a==14 then
ai_say(ids,"lol why")
elseif a==15 then
ai_say(ids,"wtf")
elseif a==16 then
ai_say(ids,"...")
elseif a==17 then
ai_say(ids,"who")
elseif a==18 then
ai_say(ids,"where")
elseif a==19 then
ai_say(ids,"I saw "..ids.." jump into the ventilation")
elseif a==20 then
ai_say(ids,"SHIT!!!")
elseif a==21 then
ai_say(ids,"Why did you kill my friend!!")
elseif a==22 then
ai_say(ids,"I did it")
elseif a==23 then
ai_say(ids,"haha")
end
end
end
end

if WhatNow == "Vote" then
GoReport=math.random(20,30)
if IvoteTimer[id]>0 then
IvoteTimer[id]=IvoteTimer[id]-1
elseif IvoteTimer[id]==0 then
if WhatNow == "Vote" and Vote_Limit[id]==1 then
local a=math.random(1,6)
if a<=5 then
local livingPlayers = player(0,"tableliving")
local index = math.ceil(math.random() * #livingPlayers)
local ids = livingPlayers[index]
if Player_Killed[ids]==0 then
ai_say(id,"!vote "..ids.."")
else
ai_say(id,"!skip")
end
elseif a==6 then
ai_say(id,"!skip")
end
IvoteTimer[id]=math.random(5,25)
end
end
end
end
end